Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTXabsl2ProfilerNameTable Class Reference

`#include <GTXabsl2ProfilerNameTable.h>`

List of all members.

## Public Member Functions
| GTXabsl2ProfilerNameTable ()
| Constructor Initializes all members with 0.
void | init (Xabsl2Engine &pEngine)
| Initializes the Array.
int | getOptionPosition (const std::string optionName) const
| Returns the Position for a given optionname Note that the function crashes if the element does not exist.
int | getStatePosition (const std::string optionName, const std::string state)
| Returns the Position for a given state within the option Note that the function crashes if the element does not exist.
bool | exists (const std::string optionName, const std::string stateName) const
| Returns whether an element for the given name exists.
bool | existsOption (const std::string option)
| Returns whether an element for the given namey exists.
## Public Attributes
int | maxDepth
| The number of elements in the array.
## Protected Member Functions
int | find (const std::string optionName, const std::string state) const
| Returns the index of an element with the given names.
int | findState (const std::string optionName, const std::string state) const
| Returns the index of an element with the given names.
int | findOption (const std::string optionName) const
| Returns the index of an element with the given names.
void | registerOption (const Xabsl2Option *option, int depth)
void | countDepth (const Xabsl2Option *option, int depth)

## Constructor & Destructor Documentation

GTXabsl2ProfilerNameTable::GTXabsl2ProfilerNameTable | ( |  | ) | `[inline]`

| Constructor Initializes all members with 0. Definition at line 82 of file GTXabsl2ProfilerNameTable.h.

## Member Function Documentation

void GTXabsl2ProfilerNameTable::init | ( | Xabsl2Engine & | pEngine | ) |

| Initializes the Array. Definition at line 2 of file GTXabsl2ProfilerNameTable.cpp. References countDepth(), Xabsl2Engine::getRootOption(), and registerOption(). Referenced by GTXabsl2Log::init().

Here is the call graph for this function:

int GTXabsl2ProfilerNameTable::getOptionPosition | ( | const std::string | optionName | ) | const`[inline]`

| Returns the Position for a given optionname Note that the function crashes if the element does not exist. Definition at line 94 of file GTXabsl2ProfilerNameTable.h. References findOption(). Referenced by countDepth(), and GTXabsl2Profiler::recordLog().

Here is the call graph for this function:

int GTXabsl2ProfilerNameTable::getStatePosition | ( | const std::string | optionName,
|  | const std::string | state
| ) | `[inline]`

  | Returns the Position for a given state within the option Note that the function crashes if the element does not exist. Parameters:
  optionName | Name of the option the state is in
  state | Name of the state the position is returned for
Returns: The Position of the state within NameTableEntry Definition at line 106 of file GTXabsl2ProfilerNameTable.h. References findState(). Referenced by GTXabsl2Profiler::recordLog().

Here is the call graph for this function:

bool GTXabsl2ProfilerNameTable::exists | ( | const std::string | optionName,
|  | const std::string | stateName
| ) | const`[inline]`

  | Returns whether an element for the given name exists. Parameters:
  optionName | Name of the option searched for
  stateName | Name of the state that in conjunction with optionName makes the request unique
Definition at line 114 of file GTXabsl2ProfilerNameTable.h. References find(). Referenced by GTXabsl2Profiler::recordLog(), and registerOption().

Here is the call graph for this function:

bool GTXabsl2ProfilerNameTable::existsOption | ( | const std::string | option | ) | `[inline]`

  | Returns whether an element for the given namey exists. Parameters:
  option | Name of the option searched for
Definition at line 122 of file GTXabsl2ProfilerNameTable.h. References findOption(). Referenced by registerOption().

Here is the call graph for this function:

int GTXabsl2ProfilerNameTable::find | ( | const std::string | optionName,
|  | const std::string | state
| ) | const`[protected]`

| Returns the index of an element with the given names. Returns: The index of the element of -1 if the name does not exist. Definition at line 8 of file GTXabsl2ProfilerNameTable.cpp. Referenced by exists().

int GTXabsl2ProfilerNameTable::findState | ( | const std::string | optionName,
|  | const std::string | state
| ) | const`[protected]`

| Returns the index of an element with the given names. Returns: The index of the element of -1 if the name does not exist. Definition at line 23 of file GTXabsl2ProfilerNameTable.cpp. Referenced by getStatePosition().

int GTXabsl2ProfilerNameTable::findOption | ( | const std::string | optionName | ) | const`[protected]`

| Returns the index of an element with the given names. Returns: The index of the element of -1 if the name does not exist. Definition at line 38 of file GTXabsl2ProfilerNameTable.cpp. Referenced by existsOption(), and getOptionPosition().

void GTXabsl2ProfilerNameTable::registerOption | ( | const Xabsl2Option * | option,
|  | int | depth
| ) | `[protected]`

| Definition at line 47 of file GTXabsl2ProfilerNameTable.cpp. References exists(), existsOption(), Xabsl2Array< double >::getName(), Xabsl2Array< Xabsl2State * >::getName(), Xabsl2Array< double >::getSize(), Xabsl2Array< Xabsl2State * >::getSize(), Xabsl2NamedItem::n, Xabsl2Option::parameters, and Xabsl2Option::states. Referenced by init().

Here is the call graph for this function:

void GTXabsl2ProfilerNameTable::countDepth | ( | const Xabsl2Option * | option,
|  | int | depth
| ) | `[protected]`

| Definition at line 71 of file GTXabsl2ProfilerNameTable.cpp. References getOptionPosition(), Xabsl2Array< Xabsl2State * >::getSize(), Xabsl2NamedItem::n, and Xabsl2Option::states. Referenced by init().

Here is the call graph for this function:

## Member Data Documentation

int GTXabsl2ProfilerNameTable::maxDepth

| The number of elements in the array. Definition at line 77 of file GTXabsl2ProfilerNameTable.h. Referenced by GTXabsl2Log::getActiveOptionNumberAtFrameNumber(), GTXabsl2Log::getOption(), and operator>>().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerNameTable.h
- Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerNameTable.cpp